NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.IBaseCurve Interface Reference

Represents something containing a two dimensional curve More...

Inheritance diagram for NXOpen.IBaseCurve:
NXOpen.INXObject NXOpen.CAE.CAEEdge NXOpen.Facet.FacetedEdge NXOpen.ICurve NXOpen.Curve NXOpen.Drawings.DraftingCurve NXOpen.Edge NXOpen.Conic NXOpen.Line NXOpen.Spline NXOpen.Arc NXOpen.Ellipse NXOpen.Hyperbola NXOpen.Parabola NXOpen.InfiniteLine NXOpen.Routing.LineSegment NXOpen.Polyline NXOpen.Routing.SplineSegment

Public Member Functions

double GetLength ()
 Returns the length of the object More...
 
- Public Member Functions inherited from NXOpen.INXObject
NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
void Print ()
 Prints a representation of this object to the system log file. More...
 
void SetName (string name)
 Sets the custom name of the object. More...
 

Properties

bool IsReference [get]
 Returns the reference state of a curve More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Represents something containing a two dimensional curve

Created in NX4.0.0

Member Function Documentation

double NXOpen.IBaseCurve.GetLength ( )

Returns the length of the object

Created in NX3.0.0

License requirements: None.

Returns

Implemented in NXOpen.Edge, NXOpen.Facet.FacetedEdge, NXOpen.Curve, NXOpen.Drawings.DraftingCurve, and NXOpen.CAE.CAEEdge.

Property Documentation

bool NXOpen.IBaseCurve.IsReference
get

Returns the reference state of a curve

Created in NX8.0.0

License requirements: None.


The documentation for this interface was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.